> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all enhanced images



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ get /api/enhanced-images/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/enhanced-images/:
    get:
      tags:
        - enhanced-images
      summary: List all enhanced images
      operationId: enhanced_images_list
      parameters:
        - in: query
          name: created_at_after
          schema:
            type: string
            format: date
        - in: query
          name: created_at_before
          schema:
            type: string
            format: date
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: name
          schema:
            type: string
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedEnhancedImageList'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedEnhancedImageList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/EnhancedImage'
    UnauthenticatedError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    EnhancedImage:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          description: Media name
          maxLength: 1024
        original_image:
          type: integer
        width:
          type:
            - integer
            - 'null'
          maximum: 16384
          minimum: 32
          description: Width in pixels of the image.
        height:
          type:
            - integer
            - 'null'
          maximum: 16384
          minimum: 32
          description: Height in pixels of the image.
        size:
          type:
            - integer
            - 'null'
          maximum: 9223372036854776000
          minimum: 1
          format: int64
          description: Size of the media in bytes
        file:
          type:
            - string
            - 'null'
          format: uri
          description: URL to the image file.
        owner:
          type: string
          format: email
          title: Email address
          readOnly: true
          description: Email of the user who enhanced the image.
        thumbnail:
          type: string
          format: uri
          readOnly: true
          description: URL to a thumbnail of the enhanced image.
      required:
        - id
        - name
        - original_image
        - owner
        - thumbnail
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````